Bug 1386327 - Notification Bell : The blue icon keeps on showing even after all notifications are read
Summary: Notification Bell : The blue icon keeps on showing even after all notificatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Shveta
URL:
Whiteboard: service
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 16:30 UTC by Shveta
Modified: 2017-05-31 14:22 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:33 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
blue icon (149.97 KB, image/png)
2016-10-18 16:30 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2016-10-18 16:30:14 UTC
Created attachment 1211782 [details]
blue icon

Description of problem:


Version-Release number of selected component (if applicable):
5.7.0.5-alpha2.20161014143521_cd366b6

How reproducible:


Steps to Reproduce:
1. Create few service requests , Notification bell shows blue icon 
2. Read notification , blue icon should go away.
3. It keeps showing 
4. Also , the number blue icon is showing is not clear .

Actual results:


Expected results:


Additional info:

Comment 4 Shveta 2016-10-25 10:46:14 UTC
Fixed in latest 5.7

Comment 8 Shveta 2016-11-04 09:07:04 UTC
when the notification bell shows new events , click on "Mark All Read".
The bell still shows blue icon

Comment 9 Shveta 2016-11-07 07:45:41 UTC
https://10.16.5.104/self_service

Comment 11 CFME Bot 2016-11-07 18:34:30 UTC
New commit detected on ManageIQ/manageiq-ui-service/master:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/7a538a2e81b5baafbf0d1afb9fcc30124bcf1cfc

commit 7a538a2e81b5baafbf0d1afb9fcc30124bcf1cfc
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Nov 7 16:21:35 2016 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 7 16:21:35 2016 +0000

    EventNotifications service - markAllRead/Unread should update the notification bell icon
    
    Marking messages read one by one would update both the count and the icon, but making all read would update just the count.
    
    Fixed to call `updateUnreadCount` which handles both.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1386327

 client/app/services/event-notifications.service.js | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 12 Shveta 2017-04-12 23:27:43 UTC
Fixed in 5.8.0.10-beta1.20170411212748_e47d319

Comment 14 errata-xmlrpc 2017-05-31 14:22:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.